/*
http.h
Copyright (C) 1999 Lars Brinkhoff.  See COPYING for terms and conditions.
*/

#include <sys/types.h>

typedef struct
{
  const char *host_name;
  int host_port;
  const char *proxy_name;
  int proxy_port;
} Http_destination;

typedef struct
{
  int major_version;
  int minor_version;
  int status_code;
} Http_response;

extern ssize_t http_get (int fd, Http_destination *dest);
extern ssize_t http_put (int fd, Http_destination *dest,
			 size_t content_length);
extern ssize_t http_post (int fd, Http_destination *dest,
			  size_t content_length);
extern int http_error_to_errno (int err);
extern ssize_t http_parse_response (int fd, Http_response *response);
